Uploaded image for project: 'Felix'
  1. Felix
  2. FELIX-6244

http.servlet-api provides incorrect version information for osgi.contract "JavaServlet"

    XMLWordPrintableJSON

Details

    • Bug
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • http.servlet-api-1.1.2
    • http.servlet-api-1.2.0
    • HTTP Service
    • None

    Description

      It only lists version 3.1 in https://github.com/apache/felix-dev/blob/master/http/servlet-api/pom.xml#L59 but in fact also 3.0 and 2.6 are exported. All need to be listed individually then according to https://osgi.org/specification/osgi.cmpn/7.0.0/service.namespaces.html#service.namespaces-osgi.contract.namespace

      Attachments

        Issue Links

          Activity

            People

              cziegeler Carsten Ziegeler
              kwin Konrad Windszus
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: